<?php
/**
 * @file
 * Hooks provided by the Commerce Canada Post module.
 */


/**
 * Allows modules to alter the shipping rate request before it is submitted.
 *
 * @param SimpleXMLElement &$rate_request_element
 *   A SimpleXML element containing the shipping rate request (order data that
 *   has been formatted for submission to the Canada Post Sell Online server).
 * @param object $order
 *   The order object the shipping rate request is being generated for.
 *
 * @see commerce_canadapost_build_rate_request()
 */
function hook_commerce_canadapost_build_rate_request_alter(&$rate_request_element, $order) {
  // EXAMPLE: Add 24 hours to the turnaround time if today is Friday.
  if (date('l') == 'Friday') {
    $rate_request_element->ratesAndServicesRequest->turnAroundTime += 24;
  }
}
